# Makefile for Watcom C++ 10.0 for OS/2 16-bit
# Note that this needs the MSC 6.00 header files, the toolkit 1.3
# files don't have some of the mouse definitions used.  This could
# be worked around as a future exercise in dead-machine-revival.
# Note that MSGAPI support is not available, as that requires
# MSGAPI38 to be updated to produce a 16-bit Watcom library.  I've
# been down that nightmare once too often at this stage.
# Also note that you may have to fossick around quite a bit to find
# DOSCALLS.LIB.  I don't remember who stuffed up to make this file
# disappear.

MSGDIR=..\..\msgapi
TOOLKIT=d:\c600\include
COPTS=-oneatx
#COPTS=-d2

.c.obj:
  wcl $(COPTS) -zq -ml -wx -c -DOS2 -DOS216 -D_MSC_VER=510 \
      -I$(TOOLKIT) -I$(MSGDIR) $<

objs=areas.obj    \
     bmg.obj      \
     config.obj   \
     control.obj  \
     date.obj     \
     dialogs.obj  \
     dirute.obj   \
     dlgbox.obj   \
     fido.obj     \
     getopts.obj  \
     help.obj     \
     helpcmp.obj  \
     helpinfo.obj \
     init.obj     \
     keycode.obj  \
     list.obj     \
     maintmsg.obj \
     makemsgn.obj \
     memextra.obj \
     menu.obj     \
     misc.obj     \
     mnu.obj      \
     msged.obj    \
     mxbt.obj     \
     normalc.obj  \
     nshow.obj    \
     os2scr.obj   \
     quick.obj    \
     quote.obj    \
     readmail.obj \
     screen.obj   \
     strextra.obj \
     system.obj   \
     template.obj \
     textfile.obj \
     userlist.obj \
     vsev.obj     \
     vsevops.obj  \
     win.obj      \
     wrap.obj

msgedp6.exe: $(objs)
  wcl $(COPTS) -ml -k8192 -fe=msgedp6.exe $(objs) 
  
#$(MSGDIR)\msgapip6.lib
